Page MenuHomeFreeBSD

Update www/otter-browser to its' septembre release
ClosedPublic

Authored by alonso on Sep 24 2015, 10:58 PM.

Details

Summary

Otter released a new beta earlier this month. Update PORTS to provide it.

Test Plan

Patch a PORTS copy with the attached patch, then install and use www/otter-browser.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

alonso updated this revision to Diff 8929.Sep 24 2015, 10:58 PM
alonso retitled this revision from to Update www/otter-browser to its' septembre release.
alonso updated this object.
alonso edited the test plan for this revision. (Show Details)
alonso added reviewers: rakuco, makc.
alonso set the repository for this revision to rP FreeBSD ports repository.
alonso added a subscriber: kde.
rakuco added inline comments.Oct 27 2015, 6:57 PM
www/otter-browser/files/patch-CMakeLists.txt
19 ↗(On Diff #8929)

Doesn't this upstream change actually make this part of the patch obsolete? Looking at https://github.com/OtterBrowser/otter-browser/commit/2eb9f6648ed5e8b808eb85d9624c0727ba3171c8 it looks it was intended to do precisely what this change is doing.

alonso added inline comments.Oct 28 2015, 7:00 AM
www/otter-browser/files/patch-CMakeLists.txt
19 ↗(On Diff #8929)

Dropping the part of the patch and rebuilding the port however shows that the installed man-page ends up in ${PREFIX}/share/man instead of ${PREFIX}/man and it also is not compressed.

I can probably provide the path using CMAKE_ARGS in the ports Makefile, though I don't understand why it is not compressed any longer - or rather, I don't understand why it used to be compressed in the first place.

rakuco edited edge metadata.Oct 28 2015, 12:22 PM

The man pages are not compressed in /share because are not supposed to be there, and the compress-man target in bsd.port.mk only looks in MANDIRS.
Looking at CMake's GNUInstallDirs.cmake, only the OpenBSD path seems to be set correctly. I think everything will work if you pass -DCMAKE_INSTALL_MANDIR=man to CMAKE_ARGS.

alonso updated this revision to Diff 9771.Oct 28 2015, 4:00 PM
alonso edited edge metadata.
alonso removed rP FreeBSD ports repository as the repository for this revision.

I see. I remembered having seen man-compress magic in post-build at some ports and wondered where it went...

Updated the diff to set the CMAKE_INSTALL_MANDIR variable

rakuco accepted this revision.Oct 31 2015, 11:35 AM
rakuco edited edge metadata.

lgtm!

This revision is now accepted and ready to land.Oct 31 2015, 11:35 AM
This revision was automatically updated to reflect the committed changes.